Change log for mysql-5.7 package in Ubuntu

148 of 48 results
Published in xenial-updates on 2018-07-30
Published in xenial-security on 2018-07-30
mysql-5.7 (5.7.23-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.23 to fix security issues
    - CVE-2018-2767, CVE-2018-3054, CVE-2018-3056, CVE-2018-3058,
      CVE-2018-3060, CVE-2018-3061, CVE-2018-3062, CVE-2018-3064,
      CVE-2018-3065, CVE-2018-3066, CVE-2018-3070, CVE-2018-3071,
      CVE-2018-3077, CVE-2018-3081

 -- Marc Deslauriers <email address hidden>  Fri, 27 Jul 2018 10:29:30 -0400
Published in bionic-updates on 2018-07-30
Published in bionic-security on 2018-07-30
mysql-5.7 (5.7.23-0ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.23 to fix security issues
    - CVE-2018-2767, CVE-2018-3054, CVE-2018-3056, CVE-2018-3058,
      CVE-2018-3060, CVE-2018-3061, CVE-2018-3062, CVE-2018-3064,
      CVE-2018-3065, CVE-2018-3066, CVE-2018-3070, CVE-2018-3071,
      CVE-2018-3077, CVE-2018-3081

 -- Marc Deslauriers <email address hidden>  Fri, 27 Jul 2018 10:28:00 -0400
Published in cosmic-proposed on 2018-07-27
mysql-5.7 (5.7.23-0ubuntu1) cosmic; urgency=medium

  * SECURITY UPDATE: Update to 5.7.23 to fix security issues
    - CVE-2018-2767, CVE-2018-3054, CVE-2018-3056, CVE-2018-3058,
      CVE-2018-3060, CVE-2018-3061, CVE-2018-3062, CVE-2018-3064,
      CVE-2018-3065, CVE-2018-3066, CVE-2018-3070, CVE-2018-3071,
      CVE-2018-3077, CVE-2018-3081

 -- Marc Deslauriers <email address hidden>  Fri, 27 Jul 2018 07:53:30 -0400
Published in cosmic-release on 2018-05-03
Deleted in cosmic-proposed (Reason: moved to release)
Superseded in bionic-updates on 2018-07-30
Superseded in bionic-security on 2018-07-30
mysql-5.7 (5.7.22-0ubuntu18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

 -- Marc Deslauriers <email address hidden>  Tue, 24 Apr 2018 08:11:43 -0400
Published in artful-updates on 2018-04-23
Published in artful-security on 2018-04-23
mysql-5.7 (5.7.22-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

 -- Marc Deslauriers <email address hidden>  Thu, 19 Apr 2018 11:02:20 -0400
Superseded in xenial-updates on 2018-07-30
Superseded in xenial-security on 2018-07-30
mysql-5.7 (5.7.22-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.22 to fix security issues
    - CVE-2018-2755, CVE-2018-2758, CVE-2018-2759, CVE-2018-2761,
      CVE-2018-2762, CVE-2018-2766, CVE-2018-2769, CVE-2018-2771,
      CVE-2018-2773, CVE-2018-2775, CVE-2018-2776, CVE-2018-2777,
      CVE-2018-2778, CVE-2018-2779, CVE-2018-2780, CVE-2018-2781,
      CVE-2018-2782, CVE-2018-2784, CVE-2018-2786, CVE-2018-2787,
      CVE-2018-2810, CVE-2018-2812, CVE-2018-2813, CVE-2018-2816,
      CVE-2018-2817, CVE-2018-2818, CVE-2018-2819, CVE-2018-2839,
      CVE-2018-2846
  * d/p/disable_tests.patch: disable partition_rename_longfilename test
    which fails when building locally.
  * debian/mysql-testsuite-5.7.manpages: removed, these manpages are no
    longer shipped.

 -- Marc Deslauriers <email address hidden>  Thu, 19 Apr 2018 11:25:58 -0400
Superseded in cosmic-release on 2018-05-03
Published in bionic-release on 2018-02-16
Deleted in bionic-proposed (Reason: moved to release)
mysql-5.7 (5.7.21-1ubuntu1) bionic; urgency=medium

  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.

Superseded in xenial-updates on 2018-04-23
Superseded in xenial-security on 2018-04-23
mysql-5.7 (5.7.21-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2018-2565, CVE-2018-2573, CVE-2018-2576, CVE-2018-2583,
      CVE-2018-2586, CVE-2018-2590, CVE-2018-2600, CVE-2018-2612,
      CVE-2018-2622, CVE-2018-2640, CVE-2018-2645, CVE-2018-2646,
      CVE-2018-2647, CVE-2018-2665, CVE-2018-2667, CVE-2018-2668,
      CVE-2018-2696, CVE-2018-2703

 -- Marc Deslauriers <email address hidden>  Fri, 19 Jan 2018 09:32:51 -0500
Superseded in artful-updates on 2018-04-23
Superseded in artful-security on 2018-04-23
mysql-5.7 (5.7.21-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2018-2565, CVE-2018-2573, CVE-2018-2576, CVE-2018-2583,
      CVE-2018-2586, CVE-2018-2590, CVE-2018-2600, CVE-2018-2612,
      CVE-2018-2622, CVE-2018-2640, CVE-2018-2645, CVE-2018-2646,
      CVE-2018-2647, CVE-2018-2665, CVE-2018-2667, CVE-2018-2668,
      CVE-2018-2696, CVE-2018-2703

 -- Marc Deslauriers <email address hidden>  Fri, 19 Jan 2018 07:45:28 -0500
Superseded in bionic-proposed on 2018-02-05
mysql-5.7 (5.7.20-2ubuntu1) bionic; urgency=medium

  * Merge from Debian.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.

 -- Lars Tangvald <email address hidden>  Fri, 12 Jan 2018 13:53:00 +0100
Superseded in bionic-release on 2018-02-16
Deleted in bionic-proposed on 2018-02-17 (Reason: moved to release)
mysql-5.7 (5.7.20-1ubuntu1) bionic; urgency=medium

  * Merge from Debian.
    - Previous merge was 5.7.17-0ubuntu1.
    - Most changes in Ubuntu since were simply new bringing in new
      upstream versions. Since we're merging in from the same upstream
      version in Debian that Ubuntu is currently on, these are no-ops in
      this merge.
  * Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Drop changes (all adopted in Debian or originally cherry-picked from
    Debian):
    - Dropping of patches included upstream also dropped in Debian VCS
      commit dd7b6e7:
      + debian/patches/fix_mysql_config_flags.patch
      + debian/patches/fix_test_events_2.patch
    - debian/mysql-server-5.7.install: added connection_control.so, also
      added in Debian VCS commit c77f03f.
    - debian/server-core.install: removed my-default.cnf, also dropped
      in Debian VCS commit 1363efd.
    - Drop debian/patches/removedojo.patch, also dropped in Debian VCS
      commit 1324dae.

Superseded in bionic-release on 2017-12-16
Deleted in bionic-proposed on 2018-01-23 (Reason: moved to release)
Superseded in artful-updates on 2018-01-22
Superseded in artful-security on 2018-01-22
mysql-5.7 (5.7.20-0ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

 -- Marc Deslauriers <email address hidden>  Wed, 18 Oct 2017 12:59:08 -0400
Superseded in xenial-updates on 2018-01-22
Superseded in xenial-security on 2018-01-22
mysql-5.7 (5.7.20-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

 -- Marc Deslauriers <email address hidden>  Wed, 18 Oct 2017 07:55:43 -0400
Obsolete in zesty-updates on 2018-06-22
Obsolete in zesty-security on 2018-06-22
mysql-5.7 (5.7.20-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.20 to fix security issues
    - CVE-2017-10155, CVE-2017-10165, CVE-2017-10167, CVE-2017-10227,
      CVE-2017-10268, CVE-2017-10276, CVE-2017-10283, CVE-2017-10286,
      CVE-2017-10294, CVE-2017-10311, CVE-2017-10313, CVE-2017-10314,
      CVE-2017-10320, CVE-2017-10379, CVE-2017-10384
  * Removed patches included in new version:
    - debian/patches/fix_failing_test.patch

 -- Marc Deslauriers <email address hidden>  Wed, 18 Oct 2017 07:44:55 -0400
Superseded in bionic-release on 2017-11-17
Published in artful-release on 2017-08-10
Deleted in artful-proposed (Reason: moved to release)
mysql-5.7 (5.7.19-0ubuntu1) artful; urgency=medium

  * SECURITY UPDATE: Update to 5.7.19 to fix security issues
    - CVE-2017-3529, CVE-2017-3633, CVE-2017-3634, CVE-2017-3635,
      CVE-2017-3637, CVE-2017-3638, CVE-2017-3639, CVE-2017-3640,
      CVE-2017-3641, CVE-2017-3642, CVE-2017-3643, CVE-2017-3644,
      CVE-2017-3645, CVE-2017-3647, CVE-2017-3648, CVE-2017-3649,
      CVE-2017-3650, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653
  * Removed patches included in new version:
    - debian/patches/removedojo.patch
    - fix_test_mysql_not_windows.patch

 -- Marc Deslauriers <email address hidden>  Tue, 01 Aug 2017 08:02:22 -0400
Superseded in artful-proposed on 2017-08-01
mysql-5.7 (5.7.18-0ubuntu2) artful; urgency=medium

  * No-change rebuild against libevent-core-2.1-6

 -- Steve Langasek <email address hidden>  Mon, 31 Jul 2017 01:29:15 +0000

Available diffs

Superseded in xenial-updates on 2017-10-23
Superseded in xenial-security on 2017-10-23
mysql-5.7 (5.7.19-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.19 to fix security issues
    - CVE-2017-3529, CVE-2017-3633, CVE-2017-3634, CVE-2017-3635,
      CVE-2017-3637, CVE-2017-3638, CVE-2017-3639, CVE-2017-3640,
      CVE-2017-3641, CVE-2017-3642, CVE-2017-3643, CVE-2017-3644,
      CVE-2017-3645, CVE-2017-3647, CVE-2017-3648, CVE-2017-3649,
      CVE-2017-3650, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653
  * Removed patches included in new version:
    - debian/patches/removedojo.patch

 -- Marc Deslauriers <email address hidden>  Wed, 19 Jul 2017 13:17:45 -0400
Superseded in zesty-updates on 2017-10-23
Superseded in zesty-security on 2017-10-23
mysql-5.7 (5.7.19-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.19 to fix security issues
    - CVE-2017-3529, CVE-2017-3633, CVE-2017-3634, CVE-2017-3635,
      CVE-2017-3637, CVE-2017-3638, CVE-2017-3639, CVE-2017-3640,
      CVE-2017-3641, CVE-2017-3642, CVE-2017-3643, CVE-2017-3644,
      CVE-2017-3645, CVE-2017-3647, CVE-2017-3648, CVE-2017-3649,
      CVE-2017-3650, CVE-2017-3651, CVE-2017-3652, CVE-2017-3653
  * Removed patches included in new version:
    - debian/patches/removedojo.patch

 -- Marc Deslauriers <email address hidden>  Wed, 19 Jul 2017 10:10:43 -0400
Superseded in artful-release on 2017-08-10
Deleted in artful-proposed on 2017-08-11 (Reason: moved to release)
mysql-5.7 (5.7.18-0ubuntu1) artful; urgency=medium

  * Fixed failing test main.mysql_not_windows
    The test was failing because it expected the os limit on open
    files to be less than 1M, but on Artful it's 1048576.
    Patch ups the value to 10M.

 -- Lars Tangvald <email address hidden>  Fri, 19 May 2017 07:55:55 +0200
Superseded in xenial-updates on 2017-07-20
Superseded in xenial-security on 2017-07-20
mysql-5.7 (5.7.18-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

 -- Marc Deslauriers <email address hidden>  Wed, 26 Apr 2017 07:22:12 -0400
Obsolete in yakkety-updates on 2018-01-23
Obsolete in yakkety-security on 2018-01-23
mysql-5.7 (5.7.18-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

 -- Marc Deslauriers <email address hidden>  Wed, 26 Apr 2017 07:22:12 -0400
Superseded in artful-proposed on 2017-05-24
Superseded in zesty-updates on 2017-07-20
Superseded in zesty-security on 2017-07-20
mysql-5.7 (5.7.18-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.18 to fix security issues
    - CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331,
      CVE-2017-3450, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455,
      CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459,
      CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463,
      CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468,
      CVE-2017-3599, CVE-2017-3600
  * Removed patches included in new version:
    - debian/patches/fix_mysql_config_flags.patch
    - debian/patches/fix_test_events_2.patch
  * debian/mysql-server-5.7.install: added connection_control.so
  * debian/server-core.install: removed my-default.cnf

 -- Marc Deslauriers <email address hidden>  Wed, 26 Apr 2017 07:22:12 -0400
Superseded in xenial-updates on 2017-04-27
Deleted in xenial-proposed on 2017-04-28 (Reason: moved to -updates)
mysql-5.7 (5.7.17-0ubuntu0.16.04.2) xenial; urgency=medium

  * Add libjson-perl dependency for test suite (LP: #1631338)
    The last two python tests in the mtr suite were rewritten
    in perl, and require this package. Added for mysql-testsuite
    and as a build-dep.
  * Build with DWITH_LZ4=system (LP: #1631339)
    Package was previously built with bundled liblz4, though it
    was specified as a build-dep.
  * Add support for custom datadir to systemd service (LP: #1574782)
    The service was reporting an error if no database could be found in
    /var/lib/mysql. It now checks the location specified in the config.
    Note that user must still handle apparmor access for custom datadir.
  * Fix copy of soft-link datadir to /var/lib/mysql-upgrade (LP: #1474212)
    Upgrade would sometimes fail if mysql-upgrade already contained a
    link copy from a previous upgrade.
  * Escape special characters in password (LP: #1598992)
    Special characters in the root password would cause syntax errors
    and postinst failures.
  * Failing tests on platforms supported by upstream fail build (LP: #1646488)
    A passing test suite is now enforced on i386 and amd64 platforms at
    build-time.
  * d/copyright: Updated with information about new source files
  * Unstable test main.xa_prepared_binlog_off disabled pending upstream fix.
    Upstream bug report: http://bugs.mysql.com/bug.php?id=83340
  * d/lintian-overrides: Updated line numbers

 -- Lars Tangvald <email address hidden>  Fri, 03 Feb 2017 08:53:04 +0100
Superseded in xenial-updates on 2017-04-05
Superseded in xenial-security on 2017-04-27
mysql-5.7 (5.7.17-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.17 to fix security issues
    - CVE-2016-8318
    - CVE-2016-8327
    - CVE-2017-3238
    - CVE-2017-3244
    - CVE-2017-3251
    - CVE-2017-3256
    - CVE-2017-3258
    - CVE-2017-3265
    - CVE-2017-3273
    - CVE-2017-3291
    - CVE-2017-3312
    - CVE-2017-3313
    - CVE-2017-3317
    - CVE-2017-3318
    - CVE-2017-3319
    - CVE-2017-3320
  * debian/patches/fix_failing_test.patch: fix test failure that uses env
    from rapid plugins.
  * debian/patches/fix_test_events_2.patch: fix date in test.
  * debian/control: replace python with libjson-perl in mysql-testsuite-5.7
    Depends.
  * debian/mysql-testsuite-5.7.install: add test_udf_services.so.

 -- Marc Deslauriers <email address hidden>  Wed, 18 Jan 2017 14:53:51 -0500
Superseded in yakkety-updates on 2017-04-27
Superseded in yakkety-security on 2017-04-27
mysql-5.7 (5.7.17-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.17 to fix security issues
    - CVE-2016-8318
    - CVE-2016-8327
    - CVE-2017-3238
    - CVE-2017-3244
    - CVE-2017-3251
    - CVE-2017-3256
    - CVE-2017-3258
    - CVE-2017-3265
    - CVE-2017-3273
    - CVE-2017-3291
    - CVE-2017-3312
    - CVE-2017-3313
    - CVE-2017-3317
    - CVE-2017-3318
    - CVE-2017-3319
    - CVE-2017-3320
  * debian/patches/fix_failing_test.patch: fix test failure that uses env
    from rapid plugins.
  * debian/patches/fix_test_events_2.patch: fix date in test.

 -- Marc Deslauriers <email address hidden>  Wed, 18 Jan 2017 13:43:17 -0500
Superseded in artful-release on 2017-05-26
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
mysql-5.7 (5.7.17-0ubuntu1) zesty; urgency=medium

  * Merge from Debian VCS 8305cfa. Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Additional changes picked up from Debian VCS since 5.7.16-2:
    - [4a72d12] Merge new upstream release 5.7.17.
    - [8305cfa] d/p/fix_mysql_config_flags.patch: update due to context
      changes upstream.

Superseded in zesty-release on 2017-01-23
Deleted in zesty-proposed on 2017-01-24 (Reason: moved to release)
mysql-5.7 (5.7.16-0ubuntu2) zesty; urgency=medium

  * Merge from Debian VCS a733d9a. Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Drop changes (adopted in Debian):
    - Drop obsolete initscripts dependency.
    - Replace removed config options from 5.5 and old 5.6 installations.
    - Remove patches included in new release.
    - debian/rules: new version no longer ships unit.pl.
    - Fix copy of soft-link datadir to /var/lib/mysql-upgrade if it already
      exists there.
    - Add support for custom datadir to systemd service.
    - Build with DWITH_LZ4=system.
    - Change mysql-testsuite dependency from python to libjson-perl.
    - Set perl to include working dir for d/tests/upstream tests.
    - Escape special characters in password.
    - Removed always-false check on purge in postrm.
    - Added sbuild/dep8 instructions to maintainer readme.

 -- Robie Basak <email address hidden>  Tue, 01 Nov 2016 14:34:01 +0000
Superseded in zesty-proposed on 2016-11-01
mysql-5.7 (5.7.16-0ubuntu1) zesty; urgency=medium

  * SECURITY UPDATE: Update to 5.7.16 to fix security issues
    - CVE-2016-5584
    - CVE-2016-7440

 -- Marc Deslauriers <email address hidden>  Tue, 25 Oct 2016 12:04:29 -0400

Available diffs

Superseded in xenial-updates on 2017-01-19
Superseded in xenial-security on 2017-01-19
mysql-5.7 (5.7.16-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.16 to fix security issues
    - CVE-2016-5584
    - CVE-2016-7440

 -- Marc Deslauriers <email address hidden>  Mon, 24 Oct 2016 08:05:46 -0400
Superseded in yakkety-updates on 2017-01-19
Superseded in yakkety-security on 2017-01-19
mysql-5.7 (5.7.16-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.16 to fix security issues
    - CVE-2016-5584
    - CVE-2016-7440

 -- Marc Deslauriers <email address hidden>  Mon, 24 Oct 2016 08:02:10 -0400
Superseded in zesty-release on 2016-11-08
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
mysql-5.7 (5.7.15-0ubuntu2) yakkety; urgency=medium

  * Add working dir to perl lib path for dep8 upstream.
    New versions of perl will no longer automatically include working dir in
    the path. This was causing the mtr suite to fail to start.
  * Change mysql-testsuite dependency from python to libjson-perl.
    Tests written in python were rewritten in perl, so testsuite no longer
    depends on python, but tests fail if libjson-perl is missing.
  * Build with DWITH_LZ4=system
    If the flag is not set the package will be built with a bundled liblz4
    instead of the one provided by the liblz4-dev build-dep.
  * Add support for custom datadir to systemd service (LP: #1574782)
    The service was reporting errors if no database was found in /var/lib/mysql
    It will now check the path specified in the config
  * Fix support for soft-link datadir (LP: #1474212)
    Upgrading more than once when datadir is soft-link was causing errors
  * Escape special characters in password (LP: #1598992)
    The password string was not escaped, causing SQL errors if certain special
    characters such as apostrophes were included.
  * Removed always-false check on purge in postrm (LP: #1602945)
    Users were never seeing the query to remove data on a package purge

 -- Lars Tangvald <email address hidden>  Fri, 16 Sep 2016 22:23:41 +0200
Superseded in yakkety-proposed on 2016-09-20
mysql-5.7 (5.7.15-0ubuntu1) yakkety; urgency=medium

  * SECURITY UPDATE: Update to 5.7.15 to fix security issues
    - CVE-2016-6662
  * Removed patches included in new release:
    - debian/patches/fix-mtr-search-paths.patch
    - debian/patches/mysql-atomic.patch
    - debian/patches/mysql-atomic-link.patch
    - debian/patches/mysql-atomic-innodb.patch
    - debian/patches/allowemptyport.patch
  * debian/rules: new version no longer ships unit.pl.

 -- Marc Deslauriers <email address hidden>  Thu, 15 Sep 2016 08:05:22 -0400
Superseded in xenial-updates on 2016-10-25
Superseded in xenial-security on 2016-10-25
mysql-5.7 (5.7.15-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.15 to fix security issues
    - CVE-2016-6662
  * Removed patches included in new release:
    - debian/patches/fix-mtr-search-paths.patch
    - debian/patches/mysql-atomic.patch
    - debian/patches/mysql-atomic-link.patch
    - debian/patches/mysql-atomic-innodb.patch
    - debian/patches/allowemptyport.patch
  * debian/rules: new version no longer ships unit.pl.

 -- Marc Deslauriers <email address hidden>  Mon, 12 Sep 2016 10:10:36 -0400
Superseded in xenial-updates on 2016-09-13
Superseded in xenial-security on 2016-09-13
mysql-5.7 (5.7.13-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.13 to fix security issues (LP: #1604796)
    - http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html
    - CVE-2016-3424
    - CVE-2016-3459
    - CVE-2016-3477
    - CVE-2016-3486
    - CVE-2016-3501
    - CVE-2016-3518
    - CVE-2016-3521
    - CVE-2016-3588
    - CVE-2016-3614
    - CVE-2016-3615
    - CVE-2016-5436
    - CVE-2016-5437
    - CVE-2016-5439
    - CVE-2016-5440
    - CVE-2016-5441
    - CVE-2016-5442
    - CVE-2016-5443
  * debian/patches/mysql-export-scramble.patch: removed, upstream.

 -- Marc Deslauriers <email address hidden>  Wed, 20 Jul 2016 08:44:25 -0400
Deleted in xenial-proposed on 2016-07-22 (Reason: moved to -updates)
mysql-5.7 (5.7.12-0ubuntu1.2) xenial; urgency=medium

  [ Robie Basak ]
  * Replace removed config options from 5.5 and old 5.6 installations
    (LP: #1571865)

  [ Christian Ehrhardt ]
  * Avoid running mysql_upgrade twice concurrently (LP: #1577712)
    - Changed debian-start to just exit 0
    - Removed debian-start.inc.sh, which was only used by debian-start
    - Drop install of d/additions/debian-start.inc.sh
  * d/a/source_mysql-5.7.py: strip lines from log that may contain
    passwords (LP: #1574458)
  * Restart server after running mysqld_upgrade (LP: #1576647)
  * Try to fail postinst with useful error message if server can
    not start (LP: #1602763)

 -- Robie Basak <email address hidden>  Thu, 14 Jul 2016 17:09:53 +0100
Superseded in yakkety-release on 2016-09-28
Deleted in yakkety-proposed on 2016-09-29 (Reason: moved to release)
mysql-5.7 (5.7.13-0ubuntu4) yakkety; urgency=medium

  * Check that /etc/mysql/my.cnf.migrated exists before attempting to
    amend it, so that it is properly idempotent. This fixes a postinst
    failure in some known edge cases where the version match still
    passes. Cherry-picked from Debian VCS 8672b6b.

 -- Robie Basak <email address hidden>  Thu, 14 Jul 2016 14:14:56 +0100

Available diffs

Superseded in yakkety-release on 2016-07-15
Deleted in yakkety-proposed on 2016-07-16 (Reason: moved to release)
mysql-5.7 (5.7.13-0ubuntu3) yakkety; urgency=medium

  * Automatically replace removed config options from 5.5 and old 5.6
    installations (LP: #1571865). Cherry-picked from Debian VCS ef3f92b.
    Thanks to Lars Tangvald.

 -- Robie Basak <email address hidden>  Tue, 12 Jul 2016 17:45:00 +0100
Superseded in yakkety-release on 2016-07-13
Deleted in yakkety-proposed on 2016-07-14 (Reason: moved to release)
mysql-5.7 (5.7.13-0ubuntu2) yakkety; urgency=medium

  * Drop obsolete initscripts dependency. Backported from Debian packaging
    git. (Closes: #804992)

 -- Martin Pitt <email address hidden>  Thu, 23 Jun 2016 08:33:04 +0200

Available diffs

Superseded in yakkety-release on 2016-06-23
Deleted in yakkety-proposed on 2016-06-24 (Reason: moved to release)
mysql-5.7 (5.7.13-0ubuntu1) yakkety; urgency=medium

  * Ubuntu merge from Debian VCS 1cdae6c. Remaining changes:
    - Revert "Build with libmecab-dev" since libmecab-dev is in
      universe.
  * Drop changes:
    - mysql-server-5.7: depend on apparmor (>= 2.10) for Trusty upgrade
      path (all upgrade paths go through Xenial; in hindsight this
      should have been a Breaks anyway).
    - Upstreamed to Debian:
      + d/p/allowemptyport.patch: update corresponding test
      + postinst: ignore mysql_upgrade's exit status 2
      + Export my_make_scrambled_password
      + Client commands in postinst should ignore custom config
      + Enable setting password for existing database if it was empty
      + Quote $rootpw correctly
      + Add libnuma-dev, libaio-dev to libmysqld-dev deps
      + d/p/fix-man-page-links.patch: drop (fixed upstream)
      + Add d/NEWS

Superseded in xenial-updates on 2016-07-21
Deleted in xenial-proposed on 2016-07-23 (Reason: moved to -updates)
mysql-5.7 (5.7.12-0ubuntu1.1) xenial; urgency=medium

  * Recompile to resolve miscompilation on s390x architecture. LP:
    #1572613

 -- Dimitri John Ledkov <email address hidden>  Fri, 20 May 2016 04:30:16 +0100
Superseded in yakkety-release on 2016-06-21
Deleted in yakkety-proposed on 2016-06-22 (Reason: moved to release)
mysql-5.7 (5.7.12-0ubuntu2) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <email address hidden>  Tue, 26 Apr 2016 13:11:50 +0100
Superseded in yakkety-release on 2016-04-28
Deleted in yakkety-proposed on 2016-07-22 (Reason: moved to release)
Superseded in xenial-updates on 2016-06-22
Superseded in xenial-security on 2016-07-21
mysql-5.7 (5.7.12-0ubuntu1) xenial-security; urgency=medium

  * SECURITY UPDATE: Update to 5.7.12 to fix security issues (LP: #1572559)
    - http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html
    - CVE-2016-0639
    - CVE-2016-0642
    - CVE-2016-0643
    - CVE-2016-0647
    - CVE-2016-0648
    - CVE-2016-0655
    - CVE-2016-0657
    - CVE-2016-0659
    - CVE-2016-0662
    - CVE-2016-0666
    - CVE-2016-0667
    - CVE-2016-2047
  * d/p/fix-manpage-links.patch: drop (fixed upstream).
  * Add NEWS entry missed from my previous upload.

 -- Robie Basak <email address hidden>  Thu, 21 Apr 2016 12:05:40 +0100
Superseded in yakkety-release on 2016-04-26
Published in xenial-release on 2016-04-14
Deleted in xenial-proposed (Reason: moved to release)
mysql-5.7 (5.7.11-0ubuntu6) xenial; urgency=medium

  [ Lars Tangvald ]
  * Added patch for exporting my_make_scrambled_password to fix
    pure-ftpd FTBFS.
  * Client commands in d/postinst will ignore custom config (LP:
    #1567695)
  * Enable changing root password on install if previous db had empty
    (LP: #1567098)

  [ Robie Basak ]
  * d/mysql-server-5.7.postinst: quote "$rootpw" correctly.
  * d/control: add libnuma-dev and libaio-dev to libmysqld-dev
    dependencies, since these are required according to "mysql_config
    --libmysqld-libs". This fixes FTBFS of packages that use
    libmysqld-dev.

 -- Robie Basak <email address hidden>  Wed, 13 Apr 2016 17:34:08 +0100
Superseded in xenial-release on 2016-04-14
Deleted in xenial-proposed on 2016-04-15 (Reason: moved to release)
mysql-5.7 (5.7.11-0ubuntu5) xenial; urgency=medium

  * d/mysql-server-5.7.postinst: ignore mysql_upgrade's exit status when
    it is one that includes the indication that there is nothing to do
    (LP: #1566406).

 -- Robie Basak <email address hidden>  Thu, 07 Apr 2016 11:58:28 +0100

Available diffs

Superseded in xenial-release on 2016-04-07
Deleted in xenial-proposed on 2016-04-08 (Reason: moved to release)
mysql-5.7 (5.7.11-0ubuntu4) xenial; urgency=medium

  * d/p/allowemptyport.patch: update corresponding test.

 -- Robie Basak <email address hidden>  Wed, 06 Apr 2016 12:48:52 +0100

Available diffs

Superseded in xenial-proposed on 2016-04-06
mysql-5.7 (5.7.11-0ubuntu3) xenial; urgency=medium

  * Ubuntu upload from Debian VCS c17404a.
  * FFe update to MySQL 5.7 (LP: #1528583).
  * Revert "Build with libmecab-dev" since libmecab-dev is in universe.
  * mysql-server-5.7: depend on apparmor (>= 2.10) for Trusty upgrade
    path.

 -- Robie Basak <email address hidden>  Wed, 16 Mar 2016 14:01:31 +0000
Superseded in xenial-proposed on 2016-04-04
Superseded in xenial-proposed on 2016-04-02
mysql-5.7 (5.7.11-0ubuntu2) xenial; urgency=medium

  * debian/rules: Use the system libevent, not the bundled version.
  * debian/control: Limit libnuma build-dep to arches that have it.
  * debian/patches/mysql-atomic.patch: Patch from upstream to add
    support for __atomic builtins and prefer __sync where available.
  * debian/patches/mysql-atomic-link.patch: Link atomic when needed.
  * debian/patches/mysql-atomic-innodb.patch: Update innodb atomics.

 -- Adam Conrad <email address hidden>  Mon, 21 Mar 2016 18:14:50 -0600
Deleted in xenial-proposed on 2016-03-22 (Reason: Removing to avoid arch skew)
mysql-5.7 (5.7.11-0ubuntu1) xenial; urgency=medium

  * Ubuntu upload from Debian VCS 10798b9.
  * FFe update to MySQL 5.7 (LP: #1528583).
  * Revert "Build with libmecab-dev" since libmecab-dev is in universe.
  * mysql-server-5.7: depend on apparmor (>= 2.10) for Trusty upgrade
    path.

148 of 48 results